package com.easou.users.analysis.common;

import java.util.Map;

import org.json.JSONException;
import org.json.JSONObject;


/**
 * 用户公共参数类
 * @author yangweifeng
 * @date 20181115
 * @version 1.0
 */
public class UserCommonParameters {
	
	public static final String USER_PAY = "userpay";
	public static final String IS_NEWUSER = "isnewuser";
	
	// 用户付费属性参数
    private static String userPay = "";
    private static String isNewUser = "";
    private static String gender = "";
    
    private static JSONObject expand_paralist = new JSONObject();
   
	public static String getUserPay() {
		return userPay;
	}
	public static void setUserPay(String userPay) {
		UserCommonParameters.userPay = userPay;
	}
   
	public static String getIsNewUser() {
		return isNewUser;
	}
	public static void setIsNewUser(String isNewUser) {
		UserCommonParameters.isNewUser = isNewUser;
	}
	public static String getGender() {
		return gender;
	}
	public static void setGender(String gender) {
		UserCommonParameters.gender = gender;
	}
	public static JSONObject getExpand_paralist() {
		return expand_paralist;
	}
	public static void setExpand_paralist(JSONObject expand_paralist) {
		UserCommonParameters.expand_paralist = expand_paralist;
	}
	/**
	 * 扩展参数更新
	 * @param expand_paralist 扩展参数
	 */
	public static void UpdateExpand_paralist(Map<String, String> expand_paralist) {
		if (null == expand_paralist || expand_paralist.size() == 0) {
			return;
		}
		JSONObject jsonObject = UserCommonParameters.getExpand_paralist();		
		for (Map.Entry<String, String> entry: expand_paralist.entrySet()) {	
			try {
				jsonObject.put(entry.getKey(), entry.getValue());
			} catch (JSONException e) {
				e.printStackTrace();
			}
		}
		UserCommonParameters.setExpand_paralist(jsonObject);
	}
}